/****************************************************************************
**
** Copyright (C) 2012 Róbert Márki
**
** This file is part of Web Feeds.
**
** Web Feeds is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** Web Feeds is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with Web Feeds.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************************/

#include "updatetreereply.h"

namespace GoogleReader
{
UpdateTreeReply::UpdateTreeReply() :
    GoogleReaderReply(),
    m_rootItem(new RootItem),
    m_unreadCountLimit(0)
{
}

WebServiceReply::Role UpdateTreeReply::role() const
{
    return WebServiceReply::RlUpdate;
}

RootItemPtr UpdateTreeReply::rootItem() const
{
    return m_rootItem;
}

EverythingTagItemPtr UpdateTreeReply::everythingTagItem() const
{
    return m_everythingTagItem;
}

StarredTagItemPtr UpdateTreeReply::starredTagItem() const
{
    return m_starredTagItem;
}

QMultiHash<QString, FeedItemPtr> UpdateTreeReply::feedItems() const
{
    return m_feedItems;
}

QMultiHash<QString, TagItemPtr> UpdateTreeReply::tagItems() const
{
    return m_tagItems;
}

QMultiHash<QString, FolderItemPtr> UpdateTreeReply::folderItems() const
{
    return m_folderItems;
}

QHash<QString, int> UpdateTreeReply::unreadCountsPerId() const
{
    return m_unreadCounts;
}

int UpdateTreeReply::unreadCountLimit() const
{
    return m_unreadCountLimit;
}
} // namespace GoogleReader
